Subject: [bug#62156] [PATCH 1/1] gnu: Add atftp.

From: Felix Lechner <[email-masked]>
Date: Sun, 12 Mar 2023 21:42:29 -0700

* gnu/packages/networking.scm (atftp): New variable.
---
 gnu/packages/networking.scm | 41 +++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)

diff --git a/gnu/packages/networking.scm b/gnu/packages/networking.scm
index b6cbd8e80a..bae7848632 100644
--- a/gnu/packages/networking.scm
+++ b/gnu/packages/networking.scm
@@ -2914,6 +2914,47 @@ (define-public speedtest-cli
 speedtest.net.")
     (license license:asl2.0)))
 
+(define-public atftp
+  (package
+    (name "atftp")
+    (version "0.8.0")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append "mirror://sourceforge/" name "/"
+                                  name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "05pk6x70wsad1fjnx4l2a7f859dn5ifqwng582mrw3v7qy4s0anz"))))
+    (build-system gnu-build-system)
+    (arguments
+     (list
+      #:phases
+      #~(modify-phases %standard-phases
+          (add-after 'unpack 'autoreconf
+            (lambda _
+              (invoke "autoreconf" "-vif"))))))
+    (native-inputs
+     (list autoconf
+           automake
+           perl
+           pkg-config))
+    (inputs (list
+             pcre2
+             procps
+             readline
+             tcp-wrappers))
+    (home-page "https://www.gnu.org/software/atftp/")
+    (synopsis "Advanced TFTP server and client")
+    (description
+     "Multi-threaded TFTP server that implements all options, including all
+extensions, as specified in RFC 1350, RFC 2090, RFC 2347, RFC 2348, RFC 2349
+and RFC7440.  Atftpd also supports a multicast protocol known as mtftp, which
+was defined in the PXE specification.
+
+The server is socket activated by default but supports being started from
+inetd(8) as well as in daemon mode.")
+    (license license:gpl2)))
+
 (define-public tftp-hpa
   (package
     (name "tftp-hpa")
-- 
2.39.1